curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling_3_0_turbo",
"params": {
"prompt": "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
"image_url": "https://example.com/reference.jpg",
"aspect_ratio": "16:9",
"resolution": "720p",
"video_length": 5
},
"out_task_id": "my_task_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "kling_3_0_turbo",
"params": {
"prompt": "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
"image_url": "https://example.com/reference.jpg",
"aspect_ratio": "16:9",
"resolution": "720p",
"video_length": 5
},
"out_task_id": "my_task_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "kling_3_0_turbo",
params: {
prompt: "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
image_url: "https://example.com/reference.jpg",
aspect_ratio: "16:9",
resolution: "720p",
video_length: 5
},
out_task_id: "my_task_123456"
};
fetch(url, {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data));
{
"out_task_id": "<string>",
"status": "<string>",
"estimated_credits": 123,
"created_at": "<string>"
}Kling 3.0 Turbo
Kling 3.0 Turbo ビデオ生成
- 非同期処理モード、後続のクエリ用にタスクIDを返す
- テキストからのビデオ生成、および単一の参考画像を入力した画像ベースのビデオ生成をサポート
- 720p / 1080p、3~15秒のビデオ生成をサポート
POST
/
api
/
openapi
/
submit
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling_3_0_turbo",
"params": {
"prompt": "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
"image_url": "https://example.com/reference.jpg",
"aspect_ratio": "16:9",
"resolution": "720p",
"video_length": 5
},
"out_task_id": "my_task_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "kling_3_0_turbo",
"params": {
"prompt": "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
"image_url": "https://example.com/reference.jpg",
"aspect_ratio": "16:9",
"resolution": "720p",
"video_length": 5
},
"out_task_id": "my_task_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "kling_3_0_turbo",
params: {
prompt: "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
image_url: "https://example.com/reference.jpg",
aspect_ratio: "16:9",
resolution: "720p",
video_length: 5
},
out_task_id: "my_task_123456"
};
fetch(url, {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data));
{
"out_task_id": "<string>",
"status": "<string>",
"estimated_credits": 123,
"created_at": "<string>"
}Authorizations
すべてのエンドポイントはBearerトークン認証が必要ですAPIキーの取得:APIキー管理ページ にアクセスしてAPIキーを取得してくださいリクエストヘッダーに以下を追加します:
Authorization: Bearer YOUR_API_KEY
Body
モデル名:
"kling_3_0_turbo"- デフォルト
モデルパラメータオブジェクト
表示 params オブジェクトのプロパティ
表示 params オブジェクトのプロパティ
ビデオ生成のテキスト説明
- 必須
- 上流制限は最大2500文字
オプションの参照画像URL、画像からビデオ生成用
- オプション
- 渡さない場合はテキストからビデオ生成モデルを使用
- 1枚の画像を渡す場合は画像からビデオ生成モデルを使用
- 単一画像のみ対応
- 公開アクセス可能なURLをサポート
生成されるビデオ画面のアスペクト比
- 必須
- 選択可能な値:
1:1、9:16、16:9 - デフォルト値:
16:9
ビデオ解像度
720p- 標準画質(デフォルト)1080p- 高画質
ビデオの長さ(秒)
- 範囲:3〜15(整数)
発信者のタスクIDユーザー定義のタスク識別子、必須
Response
発信者タスクID、結果のクエリに使用可能
初期状態で、固定値は
"pending"推定消費クレジット
作成日時(ISOフォーマット)
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling_3_0_turbo",
"params": {
"prompt": "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
"image_url": "https://example.com/reference.jpg",
"aspect_ratio": "16:9",
"resolution": "720p",
"video_length": 5
},
"out_task_id": "my_task_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "kling_3_0_turbo",
"params": {
"prompt": "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
"image_url": "https://example.com/reference.jpg",
"aspect_ratio": "16:9",
"resolution": "720p",
"video_length": 5
},
"out_task_id": "my_task_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "kling_3_0_turbo",
params: {
prompt: "画面内の人物がゆっくり振り返り、カメラが僅かに前進し、映画のような光と影",
image_url: "https://example.com/reference.jpg",
aspect_ratio: "16:9",
resolution: "720p",
video_length: 5
},
out_task_id: "my_task_123456"
};
fetch(url, {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data));
⌘I